Enable Memcache for Owncloud 8.2 on Ubuntu 14.04

Supposedly you can improve Owncloud performance by adding a memory caching module into your web server software (Apache). Or at least the Owncloud admin page says so, and complains if you don’t have one.

If you are running Owncloud 8.2 on Ubuntu 14.04, you likely have PHP version 5.5. Owncloud recommends “APCu” caching software version 4.0.6 or higher, but the version in the Ubuntu 14.04 repositories is too old (4.0.2).

This is a known issue with workaround instructions to install a newer version using dpkg. I found version 4.0.7 in the Ubuntu repositories and installed it using the instructions on the issue page. It eliminated the Owncloud admin warning.

Leave a Reply

Your email address will not be published.